ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package algorithms
  Definition Classes
    adam
-  package smithwaterman
  Definition Classes
    algorithms
- SmithWaterman
- SmithWatermanConstantGapScoring

t

org.bdgenomics.adam.algorithms.smithwaterman

# SmithWaterman 

###

#### trait SmithWaterman extends Serializable

Abstract class for implementing a Smith-Waterman pairwise alignment.

Contains shell code for everything except for building the pairwise alignment score matrix. This way, a new scoring method (e.g., affine gap, residue specific scores) can be implemented without needing to implement core functionality like trackback, etc.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SmithWaterman
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract val xSequence: String

   First sequence to align.

2.  abstract val ySequence: String

   Second sequence to align.

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  lazy val cigarX: Cigar

   CIGAR strings and alignment start positions from the pairwise alignment process.

   CIGAR strings and alignment start positions from the pairwise alignment process. The alignment start position may be non-zero if two strings are the same length, but the highest scoring alignment has bases deleted in one string/inserted in the other. In this case, some bases at the start/end of one string are expected to be "trimmed".

6.  lazy val cigarY: Cigar

   CIGAR strings and alignment start positions from the pairwise alignment process.

   CIGAR strings and alignment start positions from the pairwise alignment process. The alignment start position may be non-zero if two strings are the same length, but the highest scoring alignment has bases deleted in one string/inserted in the other. In this case, some bases at the start/end of one string are expected to be "trimmed".

7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  lazy val xStart: Int

    CIGAR strings and alignment start positions from the pairwise alignment process.

    CIGAR strings and alignment start positions from the pairwise alignment process. The alignment start position may be non-zero if two strings are the same length, but the highest scoring alignment has bases deleted in one string/inserted in the other. In this case, some bases at the start/end of one string are expected to be "trimmed".

22.  lazy val yStart: Int

    CIGAR strings and alignment start positions from the pairwise alignment process.

    CIGAR strings and alignment start positions from the pairwise alignment process. The alignment start position may be non-zero if two strings are the same length, but the highest scoring alignment has bases deleted in one string/inserted in the other. In this case, some bases at the start/end of one string are expected to be "trimmed".

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped